<template>
    <div>
        <p>用户信息接口userinfo：</p>
        <p>name:{{ name }}</p>
        <p>
            roles:
            <span v-for="role in roles" :key="role">{{ role }}</span>
        </p>
    </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import { UserModule } from "../../store/modules/user";

@Component({
    name: "index",
})
export default class extends Vue {
    get name() {
        return UserModule.name;
    }

    get roles() {
        return UserModule.roles;
    }
}
</script>

<style scoped>
</style>
